# ComputeSingleFaceDescriptorTask | @vladmandic/face-api - v1.7.6
Documentation for @vladmandic/face-api - v1.7.6

# Class ComputeSingleFaceDescriptorTask<TSource>

#### Type Parameters

- #### TSource extends WithFaceLandmarks < WithFaceDetection <{}>>

#### Hierarchy

- ComputeFaceDescriptorsTaskBase < WithFaceDescriptor <TSource> | undefined, TSource | undefined>
  - ComputeSingleFaceDescriptorTask

- Defined in globalApi/ComputeFaceDescriptorsTasks.ts:45

#####
Index

### Constructors

constructor

### Methods

run
then
withAgeAndGender
withFaceExpressions

## Constructors

### constructor

- new ComputeSingleFaceDescriptorTask<TSource>(parentTask: ComposableTask <undefined | TSource> | Promise<undefined | TSource>, input: any): ComputeSingleFaceDescriptorTask <TSource>

- #### Type Parameters

  - #### TSource extends WithFaceLandmarks <{
    detection: FaceDetection ;
    }, FaceLandmarks68 >

  #### Parameters

  - ##### parentTask: ComposableTask <undefined | TSource> | Promise<undefined | TSource>

  - ##### input: any

  #### Returns ComputeSingleFaceDescriptorTask <TSource>

  Inherited from ComputeFaceDescriptorsTaskBase.constructor

  - Defined in globalApi/ComputeFaceDescriptorsTasks.ts:13

## Methods

### run

- run(): Promise<undefined | WithFaceDescriptor <TSource>>

- #### Returns Promise<undefined | WithFaceDescriptor <TSource>>

  Overrides ComputeFaceDescriptorsTaskBase.run

  - Defined in globalApi/ComputeFaceDescriptorsTasks.ts:46

### then

- then(onfulfilled: ((value: undefined | WithFaceDescriptor <TSource>) => undefined | WithFaceDescriptor <TSource> | PromiseLike<undefined | WithFaceDescriptor <TSource>>)): Promise<undefined | WithFaceDescriptor <TSource>>

- #### Parameters

  - ##### onfulfilled: ((value: undefined | WithFaceDescriptor <TSource>) => undefined | WithFaceDescriptor <TSource> | PromiseLike<undefined | WithFaceDescriptor <TSource>>)

    - - (value: undefined | WithFaceDescriptor <TSource>): undefined | WithFaceDescriptor <TSource> | PromiseLike<undefined | WithFaceDescriptor <TSource>>

      - #### Parameters

        - ##### value: undefined | WithFaceDescriptor <TSource>

        #### Returns undefined | WithFaceDescriptor <TSource> | PromiseLike<undefined | WithFaceDescriptor <TSource>>

  #### Returns Promise<undefined | WithFaceDescriptor <TSource>>

  Inherited from ComputeFaceDescriptorsTaskBase.then

  - Defined in globalApi/ComposableTask.ts:3

### withAgeAndGender

- withAgeAndGender(): PredictSingleAgeAndGenderWithFaceAlignmentTask< WithFaceDescriptor <TSource>>

- #### Returns PredictSingleAgeAndGenderWithFaceAlignmentTask< WithFaceDescriptor <TSource>>

  - Defined in globalApi/ComputeFaceDescriptorsTasks.ts:64

### withFaceExpressions

- withFaceExpressions(): PredictSingleFaceExpressionsWithFaceAlignmentTask< WithFaceDescriptor <TSource>>

- #### Returns PredictSingleFaceExpressionsWithFaceAlignmentTask< WithFaceDescriptor <TSource>>

  - Defined in globalApi/ComputeFaceDescriptorsTasks.ts:60